import React from "react"

const columns = (edit: (str: string) => void, ): any => {
    return [
        {
            title: 'ID',
            dataIndex: 'id',
            key: 'id',
            align: 'center',
            width: 150,
            ellipsis: true
        },
        {
            title: '访问时间',
            dataIndex: 'createTime',
            key: 'createTime',
            align: 'center',
            width: 240,
            ellipsis: true
        },
        {
            title: '用户注册ip',
            dataIndex: 'ip',
            key: 'ip',
            align: 'center',
            width: 120,
            ellipsis: true
        },
        {
            title: '落地页地址',
            dataIndex: 'sharePageUrl',
            key: 'sharePageUrl',
            align: 'center',
            ellipsis: true,
        },
        {
            title: '操作',
            dataIndex: 'action',
            key: 'action',
            align: 'center',
            width: 150,
            render: (a: any, b: any) => {
                return <a onClick={()=>{edit(b?.id)}}>联调</a>
            }
        }
    ]
}
export default columns